Subject: [PATCH v2] OpenRD: Enable SD/UART selection for serial port 1

From: [email-masked] (Alexander Clouter)
Date: Tue, 10 Aug 2010 12:53:52 +0100

Hi,

* Tanmay Upadhyay <[email-masked]> [2010-08-10 16:20:20+0530]:
>
> On 08/10/2010 03:58 PM, Alexander Clouter wrote:
>>
>> * Tanmay Upadhyay<[email-masked]>  [2010-08-10 15:52:14+0530]:
>>    
>>> Intention here is to provide SD support by default. It will be switched
>>> to UART mode only if someone asks to do so via kernel parameter. If
>>> someone doesn't give OR gives improper kernel parameter, he/she won't get
>>> UART1. It will simply fall-back to the default setting - which is SD
>>> support.
>>
>> My mis-type, I forgot to put a
>> 'kirkwood_sdio_init(&openrd_mvsdio_data);' after my added printk().
>>
> If I understood correctly, intention behind this is to inform user that  
> he/she made a mistake while passing the kernel parameters. Is this 
> correct?
>
Exactly, and there is no harm turning on the SD slot rather than UART1 
at the same time.

Cheers

-- 
Alexander Clouter
.sigmonster says: tax office, n.:
                  	Den of inequity.